local E, L, V, P, G = unpack(ElvUI)
local IF = E:GetModule("InfoBar")

P["InfoBar"]={
	["LoginMsg"] = true,
	["Position"] = "BOTTOM",
	["Scale"] = 1,
}

function IF:AddOptions()
	if not E.Options.args.klix then
		E.Options.args.klix = {
			type = "group",
			order = -2,
			name = L["Plugins by |cfff960d9Klix|r"],
			args = {
				thanks = {
					type = "description",
					order = 1,
					name = L["Thanks for using and supporting my work!  --  |cfff960d9Klix|r\n\n|cffff0000If you find any bugs, or have any suggestions for any of my addons, please open a ticket at that particular addon's page on CurseForge or find me on Discord."],
				},
				discordlink = {
					order = 2,
					type = "input",
					width = "full",
					name = L["Join me on Discord!"],
					get = function(info) return L["https://discord.gg/GbQbDRX"] end,
				},
			},
		}
	elseif not E.Options.args.klix.args.thanks then
		E.Options.args.klix.args.thanks = {
			type = "description",
			order = 1,
			name = L["Thanks for using and supporting my work!  --  |cfff960d9Klix|r\n\n|cffff0000If you find any bugs, or have any suggestions for any of my addons, please open a ticket at that particular addon's page on CurseForge or find me on Discord."],
		}
	elseif not E.Options.args.klix.args.discordlink then
		E.Options.args.klix.args.discordlink = {
			order = 2,
			type = "input",
			width = "full",
			name = L["Join me on Discord!"],
			get = function(info) return L["https://discord.gg/GbQbDRX"] end,
		}
	end
	
	E.Options.args.klix.args.InfoBar = {
		type = "group",
		name = L["Info Bar"],
		get = function(info) return E.db.InfoBar[ info[#info] ] end,
		set = function(info, value) E.db.InfoBar[ info[#info] ] = value; end, 
		args = {
			name = {
				order = 1,
				type = "header",
				name = L["Info Bar "]..format("v|cff00ff96%s|r",IF.version)..L[" by Klix (EU-Twisting Nether)"],
			},		
			desc = {
				order = 2,
				type = "description",
				name = L["Adds a utility/info bar at the bottom of your screen, more modules will be added soon!"],
			},
			spacer1 = {
				order = 3,
				type = "description",
				name = "",
			},
			LoginMsg = {
				order = 4,
				name = L["Login Message"],
				desc = L["Enable/Disable the Login Message"],
				type = "toggle",		
			},
			Position = {
				order = 5,
				type = "select",
				name = L["Position"],
				get = function(info) return E.db.InfoBar[ info[#info] ] end,
				set = function(info, value) E.db.InfoBar[ info[#info] ] = value; E:StaticPopup_Show("PRIVATE_RL") end,
				values = {
					["BOTTOM"] = L["Bottom"],
					["TOP"] = L["Top"],
				},
			},
			Scale = {
				order = 6,
				type = "range",
				name = L["Scale"],
				min = 0.7, max = 1.3, step = 0.01,
				get = function(info) return E.db.InfoBar[ info[#info] ] end,
				set = function(info, value) E.db.InfoBar[ info[#info] ] = value; E:StaticPopup_Show("PRIVATE_RL") end, 
			},
		},
	}
end